View Issue Details

IDProjectCategoryView StatusLast Update
13326Bug reports[All Projects] Expression Managerpublic2018-02-14 18:19
ReporterminnoceAssigned Toolle 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.3.x 
Summary13326: Is not longer possible to using placeholders in group titles
DescriptionIn previous versions of Limesurvey it was possible to using placeholders with other question codes (e.g. {Q01}).
Now placeholders are not anymore expanded.
Steps To Reproduce1) Create a survey with at least two groups and "group by group" format.
2) Create a mandatory short text type question (with code "Q01") in the first group.
3) Edit the title of the last group and enter "{Q01}".
4) Executing the survey and type some text in the response field for the first question.
5) Go to the next page/group.
6) The group title don't expand the placehoder "{Q01}" (the text "{Q01}" is displayed). I expected (as worked with previous Limesurvey versions) to view the content of the Q01 response inserted at previous page/group.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.2.1+180208
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.6
Operating System (Server)CentOS
Webserver software & versionApache 2.2
PHP Version5.6

Activities

olle

olle

2018-02-12 14:01

administrator   ~46393

Great instructions, but please, next time, also submit a survey which reproduces the issue.
olle

olle

2018-02-12 14:19

administrator   ~46394

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26430
c_schmitz

c_schmitz

2018-02-14 18:19

administrator   ~46485

Version 3.3.1 released

Related Changesets

LimeSurvey: master a2c8d3f3

2018-02-12 14:19:24

olle

Details Diff
Fixed issue 13326: Not possible to using placeholders in group titles
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-02-09 10:39 minnoce New Issue
2018-02-09 12:14 LouisGac Sticky Issue No => Yes
2018-02-12 14:01 olle Note Added: 46393
2018-02-12 14:19 olle Changeset attached => LimeSurvey master a2c8d3f3
2018-02-12 14:19 olle Note Added: 46394
2018-02-12 14:19 olle Assigned To => olle
2018-02-12 14:19 olle Resolution open => fixed
2018-02-12 14:20 olle Status new => resolved
2018-02-12 14:20 olle Fixed in Version => 3.3.x
2018-02-14 18:19 c_schmitz Note Added: 46485
2018-02-14 18:19 c_schmitz Status resolved => closed